<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet
version="1.0"
xmlns:html="http://www.w3.org/1999/xhtml"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!--
module :
creation des lements components de formulaire

update :
$Id$
fplod 2008-04-29T09:06:37Z aedon.locean-ipsl.upmc.fr (Darwin)
chgt fot dbk5
fplod 2007-06-08T09:07:12Z aedon.locean-ipsl.upmc.fr (Darwin)
bug fix for components_date
fplod 2007-05-18T10:25:06Z aedon.locean-ipsl.upmc.fr (Darwin)
correction pour cause de dysfonctionnement sous firefox (mais ok sous safari) :
Le 1er choix est modifi si on clique sur un des choix suivant
fplod 2007-04-27T15:16:34Z aedon.locean-ipsl.upmc.fr (Darwin)
ajout date
fplod 2007-04-26T10:07:08Z aedon.locean-ipsl.upmc.fr (Darwin)
creation
-->

<xsl:template name="components">
 <xsl:param name="user"/>
 <xsl:param name="author_id"/>
 <xsl:param name="visu_modif"/>

  <xsl:text>&#xA;</xsl:text>
  <xsl:element name="html:fieldset">
   <xsl:attribute name="xml:id">components_<xsl:value-of select="$author_id"/></xsl:attribute>
   <xsl:text>&#xA;</xsl:text>
   <xsl:element name="html:legend">
    Used NEMO components
   </xsl:element>
   <xsl:text>&#xA;</xsl:text>
   <!-- ne plait pas  firefox  ++
    <xsl:element name="html:label">
   -->
    <xsl:for-each select="$user/components/component">
     <xsl:sort order="ascending" data-type="text" select="@code"/>
     <xsl:text>&#xA;</xsl:text>
     <xsl:comment><xsl:value-of select="./value"/></xsl:comment>
     <xsl:choose>
      <xsl:when test="@code != 'zzz_other'">
       <xsl:text>&#xA;</xsl:text>
       <xsl:element name="html:input">
        <xsl:attribute name="name">
         <xsl:value-of select="name()"/><xsl:text>_</xsl:text><xsl:value-of select="@code"/>
        </xsl:attribute>
        <xsl:attribute name="type">checkbox</xsl:attribute>
        <xsl:attribute name="value"><xsl:value-of select="./name"/></xsl:attribute> 
        <xsl:if test="$visu_modif= 'visu'"> 
         <xsl:attribute name="readonly">1</xsl:attribute>
        </xsl:if>
        <xsl:if test="./value = 'yes'">
         <xsl:attribute name="checked">1</xsl:attribute>
        </xsl:if>
        <xsl:value-of select="./name"/> 
       </xsl:element>
      </xsl:when>
      <xsl:when  test="@code = 'zzz_other'">
       <xsl:text>&#xA;</xsl:text>
       <xsl:element name="html:label">
       Other :
        <xsl:text>&#xA;</xsl:text>
        <xsl:element name="html:input">
         <xsl:attribute name="name">
          <xsl:value-of select="name()"/><xsl:text>_</xsl:text><xsl:value-of select="@code"/>
         </xsl:attribute>
         <xsl:attribute name="type">text</xsl:attribute>
          <xsl:attribute name="value"><xsl:value-of select="./value"/></xsl:attribute> 
        </xsl:element>
       </xsl:element>
      </xsl:when>
     </xsl:choose>
    </xsl:for-each>
   <!-- ne plait pas  firefox  ++
    </xsl:element>
   -->
   <xsl:text>&#xA;</xsl:text>
   <xsl:element name="html:label">
    <xsl:text>Since (YYYYMM) :</xsl:text>
    <xsl:text>&#xA;</xsl:text>
    <xsl:element name="html:input">
     <xsl:attribute name="name">components_date</xsl:attribute>
     <xsl:attribute name="type">text</xsl:attribute>
     <xsl:attribute name="value"><xsl:value-of select="$user/components/components_date"/></xsl:attribute>
    </xsl:element>
   </xsl:element>
  </xsl:element>
  <xsl:text>&#xA;</xsl:text>
</xsl:template>

</xsl:stylesheet>
