<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet
version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!--
module :
produce paragraph according to language

update :
$Id$
fplod 2008-04-30T10:57:13Z aedon.locean-ipsl.upmc.fr (Darwin)
creation
-->

<xsl:template name="para_lastupdate_bib">
<!--
 Last update of the bibliography databank : date
-->
<xsl:param name="language"/>
<xsl:param name="date"/>

<xsl:variable name="message_lastupdate_bib">
<xsl:choose>
<xsl:when test="($language = 'en')">
Last update of the bibliography databank :
</xsl:when>
<xsl:when test="($language = 'fr')">
Dernire mise  jour de la bibliographie :
</xsl:when>
<xsl:otherwise>
 <xsl:message terminate="yes">
eee : unknown language : <xsl:value-of select="$language"/>
</xsl:message>
</xsl:otherwise>
</xsl:choose>
</xsl:variable>
<para>
<xsl:value-of select="$message_lastupdate_bib"/> <xsl:value-of select="$date"/>
</para>
</xsl:template>

</xsl:stylesheet>
